extends Control
class_name Main

enum Pages {
	Board,
	ReservationCreation,
	ReservationEdit,
	TimeSetting,
	CalendarSetting,
	RoomSelection
}

func get_current_page():
	pass

func load_page(value, with_update=true):
	pass

func go_to_previous_page(with_update=true):
	pass

func get_reservation_repo() -> AbstractReservationRepo:
	return AbstractReservationRepo.new()

func get_event_handler() -> EventHandler:
	return EventHandler.new()

func get_reservation_service() -> ReservationService:
	return ReservationService.new()

func get_room_repo() -> AbstractRoomRepo:
	return AbstractRoomRepo.new()

func get_selected_date() -> String:
	return ""

func get_selected_room() -> RoomEntity:
	return RoomEntity.new()

func is_current_date_selected() -> bool:
	return true

func start_date_selection() -> void:
	pass
